Package org.opentcs.access.rmi.factories

# Class NullSocketFactoryProvider

java.lang.Object
org.opentcs.access.rmi.factories.NullSocketFactoryProvider

All Implemented Interfaces:
  `SocketFactoryProvider`

    public class NullSocketFactoryProvider
    extends java.lang.Object
    implements SocketFactoryProvider

Provides `null` for both client and server socket factories. By using this provider, the default client-side/server-side socket factory will be used in `Registry` stubs.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NullSocketFactoryProvider()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.rmi.server.RMIClientSocketFactory` | `getClientSocketFactory()` | Returns a `RMIClientSocketFactory`.
  `java.rmi.server.RMIServerSocketFactory` | `getServerSocketFactory()` | Returns a `RMIServerSocketFactory`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NullSocketFactoryProvider

    @Inject public NullSocketFactoryProvider()

- ## Method Details

  - ### getClientSocketFactory

    public java.rmi.server.RMIClientSocketFactory getClientSocketFactory()
    Description copied from interface: `SocketFactoryProvider`
    Returns a `RMIClientSocketFactory`.
    Specified by:
      `getClientSocketFactory` in interface `SocketFactoryProvider`
    Returns:
      A `RMIClientSocketFactory`. May be `null` to indicate that a default factory implementation is to be used.

  - ### getServerSocketFactory

    public java.rmi.server.RMIServerSocketFactory getServerSocketFactory()
    Description copied from interface: `SocketFactoryProvider`
    Returns a `RMIServerSocketFactory`.
    Specified by:
      `getServerSocketFactory` in interface `SocketFactoryProvider`
    Returns:
      A `RMIServerSocketFactory`. May be `null` to indicate that a default factory implementation is to be used.